Subject: bug#24117: 25.1; url-http-create-request: Multibyte text in HTTP request

From: Ted Zlatanov <[email-masked]>
Date: Thu, 11 Aug 2016 04:53:19 -0400

On Thu, 11 Aug 2016 05:52:42 +0300 Dmitry Gutov <[email-masked]> wrote: 

DG> I'd like to wait for Lar's response now, but someone will have to make an
DG> executive decision. Both patches (this and the set-multibyte-buffer-p 
DG> one), work in the cases I've tested.

DG> This one seems more conservative, but it'll require a manual merge to master.
DG> The other one is very trivial, will merge automatically, but might cause
DG> problems for potential less-careful uses of url-generic-parse-url.

Could you add to your patch the cases you've tested? There's a specific
place for URL parsing tests in test/lisp/url/url-parse-tests.el that
would help everyone.

Thanks
Ted